Debian Bug report logs - #568741
ingerman: Fails to upgrade from lenny if previously reconfigured

version graph

Package: ingerman; Maintainer for ingerman is Roland Rosenfeld <roland@debian.org>; Source for ingerman is src:igerman98.

Reported by: Helmut Grohne <helmut@subdivi.de>

Date: Sun, 7 Feb 2010 13:03:02 UTC

Severity: grave

Tags: patch

Found in version igerman98/20091006-4

Fixed in version igerman98/20091006-4.2

Done: Agustin Martin Domingo <agmartin@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Roland Rosenfeld <roland@debian.org>:
Bug#568741; Package ingerman. (Sun, 07 Feb 2010 13:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Helmut Grohne <helmut@subdivi.de>:
New Bug report received and forwarded. Copy sent to Roland Rosenfeld <roland@debian.org>. (Sun, 07 Feb 2010 13:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Helmut Grohne <helmut@subdivi.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ingerman: upgrade failure
Date: Sun, 7 Feb 2010 13:58:00 +0100
Package: ingerman
Version: 20091006-4
Severity: grave
Justification: renders package unusable

Hi,

I was upgrading my unstable system and saw the following message.

| Problems rebuilding an ispell hash file (ingerman.hash)                                                      |
|                                                                                                              |
| ** Error: Could not find affix file /usr/lib/ispell/ingerman.aff                                             |
|                                                                                                              |
| This error was caused by package providing 'ingerman.hash', although it can be made evident during other     |
| package postinst. Please complain to the maintainer of package providing 'ingerman.hash'.                    |
|                                                                                                              |
| Until this problem is fixed you will not be able to use ispell with 'ingerman.hash'.                         |

I don't really understand much about ispell, only that it is currently
broken. Do you need any other information?

Helmut

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.28.7 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=de_DE (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages ingerman depends on:
ii  cdebconf [debconf-2.0]        0.146      Debian Configuration Management Sy
ii  debconf [debconf-2.0]         1.5.28     Debian configuration management sy
ii  dictionaries-common           1.4.0      Common utilities for spelling dict
ii  ispell                        3.1.20.0-7 International Ispell (an interacti

ingerman recommends no packages.

Versions of packages ingerman suggests:
pn  wngerman                      <none>     (no description available)

-- debconf information:
  shared/packages-ispell:
  ingerman/languages: deutsch (New German 8 bit), deutsch (New German -tex mode-)




Information forwarded to debian-bugs-dist@lists.debian.org, Roland Rosenfeld <roland@debian.org>:
Bug#568741; Package ingerman. (Tue, 09 Feb 2010 14:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Roland Rosenfeld <roland@debian.org>. (Tue, 09 Feb 2010 14:33:11 GMT) Full text and rfc822 format available.

Message #10 received at 568741@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: Helmut Grohne <helmut@subdivi.de>, 568741@bugs.debian.org
Subject: Re: Bug#568741: ingerman: upgrade failure
Date: Tue, 9 Feb 2010 15:32:27 +0100
On Sun, Feb 07, 2010 at 01:58:00PM +0100, Helmut Grohne wrote:
> Package: ingerman
> Version: 20091006-4
> Severity: grave
> Justification: renders package unusable
> 
> Hi,
> 
> I was upgrading my unstable system and saw the following message.
> 
> | Problems rebuilding an ispell hash file (ingerman.hash)                                                      |
> |                                                                                                              |
> | ** Error: Could not find affix file /usr/lib/ispell/ingerman.aff                                             |
> |                                                                                                              |
> | This error was caused by package providing 'ingerman.hash', although it can be made evident during other     |
> | package postinst. Please complain to the maintainer of package providing 'ingerman.hash'.                    |
> |                                                                                                              |
> | Until this problem is fixed you will not be able to use ispell with 'ingerman.hash'.                         |
> 
> I don't really understand much about ispell, only that it is currently
> broken. Do you need any other information?

What are the contents of /var/lib/ispell?

ingerman should use ngerman.aff to build ngerman.hash, not ingerman.{aff,hash}
(See 'dpkg -L ingerman' output).

-- 
Agustin




Information forwarded to debian-bugs-dist@lists.debian.org, Roland Rosenfeld <roland@debian.org>:
Bug#568741; Package ingerman. (Tue, 09 Feb 2010 15:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Helmut Grohne <helmut@subdivi.de>:
Extra info received and forwarded to list. Copy sent to Roland Rosenfeld <roland@debian.org>. (Tue, 09 Feb 2010 15:45:05 GMT) Full text and rfc822 format available.

Message #15 received at 568741@bugs.debian.org (full text, mbox):

From: Helmut Grohne <helmut@subdivi.de>
To: Agustin Martin <agmartin@debian.org>
Cc: 568741@bugs.debian.org
Subject: Re: Bug#568741: ingerman: upgrade failure
Date: Tue, 9 Feb 2010 16:19:09 +0100
Thanks for your quick reply.

On Tue, Feb 09, 2010 at 03:32:27PM +0100, Agustin Martin wrote:
> What are the contents of /var/lib/ispell?

$ ls -la /var/lib/ispell/
total 3840
drwxr-xr-x  2 root root    4096 Feb  7 13:51 .
drwxr-xr-x 64 root root    4096 Feb  7 13:43 ..
-rw-r--r--  1 root root       1 Dec 14 14:11 ingerman.compat
-rw-r--r--  1 root root       7 Feb  7 14:00 ngerman.compat
-rw-r--r--  1 root root 3910560 Feb  7 14:00 ngerman.hash
$ md5sum /var/lib/ispell/*
cfcd208495d565ef66e7dff9f98764da  /var/lib/ispell/ingerman.compat
63d5aa8eab6985cdff2839bcaee759d5  /var/lib/ispell/ngerman.compat
9b32846bd5cae6583cd2391b6a8273c1  /var/lib/ispell/ngerman.hash
$

> ingerman should use ngerman.aff to build ngerman.hash, not ingerman.{aff,hash}

I'm sorry, but I don't know that much about dictionaries. I simply use
ispell without understanding how it works.

> (See 'dpkg -L ingerman' output).

I assume that you want the command output:
$ dpkg -L ingerman
/.
/var
/var/lib
/var/lib/dictionaries-common
/var/lib/dictionaries-common/ispell
/var/lib/dictionaries-common/ispell/ingerman
/var/lib/ispell
/var/lib/ispell/ngerman.hash
/var/lib/ispell/ngerman.compat
/usr
/usr/share
/usr/share/doc
/usr/share/doc/ingerman
/usr/share/doc/ingerman/changelog.Debian.gz
/usr/share/doc/ingerman/RSR.gz
/usr/share/doc/ingerman/changelog.gz
/usr/share/doc/ingerman/TODO
/usr/share/doc/ingerman/Disabled.words
/usr/share/doc/ingerman/README
/usr/share/doc/ingerman/copyright
/usr/share/doc/ingerman/Credits
/usr/share/doc/ingerman/README.Debian
/usr/share/doc/ingerman/BUGS
/usr/share/ispell
/usr/share/ispell/ngerman.mwl.gz
/usr/lib
/usr/lib/ispell
/usr/lib/ispell/ngerman.aff
/usr/lib/ispell/ndeutsch.aff
/usr/lib/ispell/ngerman.hash
/usr/lib/ispell/ndeutsch.hash
$

I'd like to note that #500618 still applies to my system.

Is there anything else you need?

Helmut




Information forwarded to debian-bugs-dist@lists.debian.org, Roland Rosenfeld <roland@debian.org>:
Bug#568741; Package ingerman. (Wed, 10 Feb 2010 12:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Roland Rosenfeld <roland@debian.org>. (Wed, 10 Feb 2010 12:09:08 GMT) Full text and rfc822 format available.

Message #20 received at 568741@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: Helmut Grohne <helmut@subdivi.de>, 568741@bugs.debian.org, 500618@bugs.debian.org
Subject: Re: Bug#568741: ingerman: upgrade failure
Date: Wed, 10 Feb 2010 13:06:26 +0100
[Message part 1 (text/plain, inline)]
package igerman98
tag 500618 +patch
tag 568741 +patch
thanks

On Tue, Feb 09, 2010 at 04:19:09PM +0100, Helmut Grohne wrote:
> On Tue, Feb 09, 2010 at 03:32:27PM +0100, Agustin Martin wrote:
> > What are the contents of /var/lib/ispell?
> 
> $ ls -la /var/lib/ispell/
> total 3840
> drwxr-xr-x  2 root root    4096 Feb  7 13:51 .
> drwxr-xr-x 64 root root    4096 Feb  7 13:43 ..
> -rw-r--r--  1 root root       1 Dec 14 14:11 ingerman.compat
> -rw-r--r--  1 root root       7 Feb  7 14:00 ngerman.compat
> -rw-r--r--  1 root root 3910560 Feb  7 14:00 ngerman.hash
> $ md5sum /var/lib/ispell/*
> cfcd208495d565ef66e7dff9f98764da  /var/lib/ispell/ingerman.compat
> 63d5aa8eab6985cdff2839bcaee759d5  /var/lib/ispell/ngerman.compat
> 9b32846bd5cae6583cd2391b6a8273c1  /var/lib/ispell/ngerman.hash

Hi,

You have a bogus file there, ingerman.compat, that is triggering the
problem. It means try to build ingerman.hash from ingerman.aff and munched
wordlist at /usr/share/ispell.

I have looked at sources and noticed that seems to have been introduced by
reconfiguration, from debian/ingerman.config.in, where the typo is.

I am attaching a patch to fix this problem in new dicts. In your system you
can safely delete /var/lib/ispell/ingerman.compat and everything should work
again (until you reconfigure with an old dict).

Removing /var/lib/ispell/ingerman.compat if present from the preinst file is
not done, but is something to be considered.

At the same time I am including a workaround for 

#500618 [ingerman: breaks debsums 2.0.37]

by simply not creating md5sums for stuff under /var/lib/{aspell,ispell}.
That means do not check md5sums of stuff there, is supposed to change, but
still keep it under dpkg control.

P.S: I am not ingerman maintainer, just the person who wrote the
ispell-autobuildhash script handling automatic hash building. 
I expect Roland or René will take care of this shortly (Let me know if you
cannot, so I prepare an NMU).

Cheers,

-- 
Agustin

[igerman98_20091006-4__to__4.1.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Agustin Martin Domingo <agmartin@debian.org> to control@bugs.debian.org. (Wed, 10 Feb 2010 12:57:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Roland Rosenfeld <roland@debian.org>:
Bug#568741; Package ingerman. (Tue, 16 Mar 2010 09:00:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Roland Rosenfeld <roland@debian.org>. (Tue, 16 Mar 2010 09:00:10 GMT) Full text and rfc822 format available.

Message #27 received at 568741@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 568741@bugs.debian.org
Subject: Fixed package uploaded to DELAYED/2-day
Date: Tue, 16 Mar 2010 15:57:16 +0700
[Message part 1 (text/plain, inline)]
I uploaded an NMU for this package by using the attached patch (taken
from Agustin's patch but leaving the fix for #500618 (I hesitated a
little as #500618 is "severity: important" but better not being too invasive...).

-- 


[patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Thu, 18 Mar 2010 09:54:05 GMT) Full text and rfc822 format available.

Notification sent to Helmut Grohne <helmut@subdivi.de>:
Bug acknowledged by developer. (Thu, 18 Mar 2010 09:54:06 GMT) Full text and rfc822 format available.

Message #32 received at 568741-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 568741-close@bugs.debian.org
Subject: Bug#568741: fixed in igerman98 20091006-4.1
Date: Thu, 18 Mar 2010 09:51:32 +0000
Source: igerman98
Source-Version: 20091006-4.1

We believe that the bug you reported is fixed in the latest version of
igerman98, which is due to be installed in the Debian FTP archive:

aspell-de_20091006-4.1_all.deb
  to main/i/igerman98/aspell-de_20091006-4.1_all.deb
hunspell-de-at_20091006-4.1_all.deb
  to main/i/igerman98/hunspell-de-at_20091006-4.1_all.deb
hunspell-de-ch_20091006-4.1_all.deb
  to main/i/igerman98/hunspell-de-ch_20091006-4.1_all.deb
hunspell-de-de_20091006-4.1_all.deb
  to main/i/igerman98/hunspell-de-de_20091006-4.1_all.deb
igerman98_20091006-4.1.diff.gz
  to main/i/igerman98/igerman98_20091006-4.1.diff.gz
igerman98_20091006-4.1.dsc
  to main/i/igerman98/igerman98_20091006-4.1.dsc
ingerman_20091006-4.1_all.deb
  to main/i/igerman98/ingerman_20091006-4.1_all.deb
iswiss_20091006-4.1_all.deb
  to main/i/igerman98/iswiss_20091006-4.1_all.deb
myspell-de-at_20091006-4.1_all.deb
  to main/i/igerman98/myspell-de-at_20091006-4.1_all.deb
myspell-de-ch_20091006-4.1_all.deb
  to main/i/igerman98/myspell-de-ch_20091006-4.1_all.deb
myspell-de-de_20091006-4.1_all.deb
  to main/i/igerman98/myspell-de-de_20091006-4.1_all.deb
rmligs-german_20091006-4.1_all.deb
  to main/i/igerman98/rmligs-german_20091006-4.1_all.deb
wngerman_20091006-4.1_all.deb
  to main/i/igerman98/wngerman_20091006-4.1_all.deb
wswiss_20091006-4.1_all.deb
  to main/i/igerman98/wswiss_20091006-4.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 568741@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated igerman98 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 16 Mar 2010 09:15:03 +0100
Source: igerman98
Binary: ingerman iswiss wngerman wswiss rmligs-german myspell-de-at myspell-de-ch myspell-de-de hunspell-de-at hunspell-de-ch hunspell-de-de aspell-de
Architecture: source all
Version: 20091006-4.1
Distribution: unstable
Urgency: low
Maintainer: Roland Rosenfeld <roland@debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 aspell-de  - German dictionary for aspell
 hunspell-de-at - Austrian (German) dictionary for hunspell
 hunspell-de-ch - Swiss (German) dictionary for hunspell
 hunspell-de-de - German dictionary for hunspell
 ingerman   - New German orthography dictionary for ispell
 iswiss     - Swiss (German) orthography dictionary for ispell
 myspell-de-at - Austrian (German) dictionary for myspell
 myspell-de-ch - Swiss (German) dictionary for myspell
 myspell-de-de - German dictionary for myspell
 rmligs-german - remove incorrectly used ligatures from LaTeX documents
 wngerman   - New German orthography wordlist
 wswiss     - Swiss (German) orthography wordlist
Closes: 568741
Changes: 
 igerman98 (20091006-4.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/ingerman.config.in:
     - Fix compat file name to ngerman.compat  (Closes: #568741).
       Thanks to Agustin Martin <agmartin@debian.org> for the patch
Checksums-Sha1: 
 21705a768046647aa797ad44e4cc8a806a1c4d35 1340 igerman98_20091006-4.1.dsc
 3a510ce56d5bc3f524f463e5f691bdeef7b01034 500338 igerman98_20091006.orig.tar.gz
 3d4f579c72f345b378e5249244fafb70761dc733 18818 igerman98_20091006-4.1.diff.gz
 924ce68d28e24d12950c54a897dc7ea0a766d258 404974 ingerman_20091006-4.1_all.deb
 6247a29c1e28a253f8c810a7da575e4393f9ea99 405104 iswiss_20091006-4.1_all.deb
 5d67a8c0e44aec6e19257cf55aaebc7ad9790e0e 887712 wngerman_20091006-4.1_all.deb
 3b360ae0ca3897dd22edb755ee56d85ac289800c 887982 wswiss_20091006-4.1_all.deb
 4551b8327316d122cd7630c9942504f39874f0bd 21448 rmligs-german_20091006-4.1_all.deb
 013056bb16503358f9c07e8e308f6fd61cb919ba 376612 myspell-de-at_20091006-4.1_all.deb
 6a6847dfc6f3956acf2936fb71b748cb0b7bc411 376094 myspell-de-ch_20091006-4.1_all.deb
 cde9dcea8187d8516cfe3ea9f2a99eea083aa11a 371974 myspell-de-de_20091006-4.1_all.deb
 ddb383c760ecd22e7f47f00ded8cd6e3f528b6d1 329464 hunspell-de-at_20091006-4.1_all.deb
 f9e9ea601f368f4a3de1861914dcdbed83f64822 328262 hunspell-de-ch_20091006-4.1_all.deb
 47bfa73566b83e2aa1f329c5afccc1003fecff77 327682 hunspell-de-de_20091006-4.1_all.deb
 484b14442160b243d32048597861452c8ad8908b 330172 aspell-de_20091006-4.1_all.deb
Checksums-Sha256: 
 b473712ac7bccbd9dd5a215efdc2e7d4f8d4ea1a65b74540d71fa295af5621a6 1340 igerman98_20091006-4.1.dsc
 d81dda1c7ce93f9f6f3721d307af428dcaa97685aeeb4c8107ab8184160d5389 500338 igerman98_20091006.orig.tar.gz
 5933df42584405b2b787ee89698a2893595910767778ba8f83d9d0da190e8f98 18818 igerman98_20091006-4.1.diff.gz
 64b822165af06793652fa153dd1093fbb330ceb34f85d9411552b25aab61d711 404974 ingerman_20091006-4.1_all.deb
 2727c627a5d69aa69b1488d1b31f6c030a363141f4e5085d16ca81c952c39a71 405104 iswiss_20091006-4.1_all.deb
 ceeb347a0da0dbc21dc1ff2f9534b40354606cbb26e17adaaa85280a39aa645c 887712 wngerman_20091006-4.1_all.deb
 1ec05bba937c06a4e35e614b9e5817d15991a399c9d69c9baa802c882ca67862 887982 wswiss_20091006-4.1_all.deb
 4a135699e0d9fc2c0ddebefb660bb7943c715a4aaa7520524cb8e7ff1c1285e7 21448 rmligs-german_20091006-4.1_all.deb
 2ee7c44d3f795829218d334dbb0836ff9a4a93950dc2c477c4c3a2b0fa41c5d0 376612 myspell-de-at_20091006-4.1_all.deb
 5da95fce4c6d6f581282c9ffe24630d2a708cfc0c189930ceec9e9ecfde7c225 376094 myspell-de-ch_20091006-4.1_all.deb
 80d73a8d6e2007834a625a9a267f0af518e6d9f46eb025bbd93b1a2b2e6d8a4b 371974 myspell-de-de_20091006-4.1_all.deb
 438c3f261adc0339245c2a4a27c421625809204c663fb1b35331e1ed24f04bfd 329464 hunspell-de-at_20091006-4.1_all.deb
 d903950651ff8d6f077c718a746a889d1f93ab8d3a8033d7a4f2c8892f9c3eb9 328262 hunspell-de-ch_20091006-4.1_all.deb
 ed8e13055cb0a9b4d9e6b19d2b87557e8f36326964166a347a5adfd87abd4358 327682 hunspell-de-de_20091006-4.1_all.deb
 6d2160c1d11f0e5e0c01a2ccb23d746cfaac585b0fcd6f447ef90ef99075f349 330172 aspell-de_20091006-4.1_all.deb
Files: 
 547ede3f02d044a9f150b603b8318a90 1340 text optional igerman98_20091006-4.1.dsc
 b70294c32779e1a5ed45926294841910 500338 text optional igerman98_20091006.orig.tar.gz
 def17735d251fc998886d1ddd5245be4 18818 text optional igerman98_20091006-4.1.diff.gz
 1a331112a999f73a7c8fbb954a6c820e 404974 text optional ingerman_20091006-4.1_all.deb
 a5080755d6965988f59c07e1eaa2a8a3 405104 text optional iswiss_20091006-4.1_all.deb
 2805356c3289f7630717f9564877e8be 887712 text optional wngerman_20091006-4.1_all.deb
 84c0f6b4efbd2572127de295f869ab9a 887982 text optional wswiss_20091006-4.1_all.deb
 73787d51a6a86c0f54e73291ca8ce2b0 21448 text optional rmligs-german_20091006-4.1_all.deb
 169244bc5fe283f8b3946ac2e64240bf 376612 text optional myspell-de-at_20091006-4.1_all.deb
 481406e83aecfffce710362483913704 376094 text optional myspell-de-ch_20091006-4.1_all.deb
 91c2df7e0f55d1db575eb505f9420f1b 371974 text optional myspell-de-de_20091006-4.1_all.deb
 859fc0098802f467de517af851194960 329464 text optional hunspell-de-at_20091006-4.1_all.deb
 b8646561bedfa1a12e1e57ac7fa94bf2 328262 text optional hunspell-de-ch_20091006-4.1_all.deb
 8cfc030629f367161e2552163d2b9404 327682 text optional hunspell-de-de_20091006-4.1_all.deb
 8fc9df43d987d5331a285d6332b70f5b 330172 text optional aspell-de_20091006-4.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLn0ct1OXtrMAUPS0RAu6RAKCChAE9YNgVmvcSg6jcTYQ4XP2K7ACfYEJ5
CQgNJkoPKatjhuBTPs9qyCY=
=hgvo
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 06 May 2010 07:51:41 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Helmut Grohne <helmut@subdivi.de> to control@bugs.debian.org. (Fri, 17 Dec 2010 17:36:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions igerman98/20091006-4.1; no longer marked as fixed in versions igerman98/20091006-4.1 and reopened. Request was from Helmut Grohne <helmut@subdivi.de> to control@bugs.debian.org. (Fri, 17 Dec 2010 17:36:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions igerman98/20091006-4.1. Request was from Helmut Grohne <helmut@subdivi.de> to control@bugs.debian.org. (Fri, 17 Dec 2010 17:36:05 GMT) Full text and rfc822 format available.

Bug 568741 cloned as bug 607622. Request was from Agustin Martin <agmartin@debian.org> to control@bugs.debian.org. (Mon, 20 Dec 2010 11:09:01 GMT) Full text and rfc822 format available.

Changed Bug title to 'ingerman: Fails to upgrade from lenny if previously reconfigured' from 'ingerman: upgrade failure' Request was from Agustin Martin <agmartin@debian.org> to control@bugs.debian.org. (Mon, 20 Dec 2010 11:09:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Roland Rosenfeld <roland@debian.org>:
Bug#568741; Package ingerman. (Mon, 20 Dec 2010 12:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Roland Rosenfeld <roland@debian.org>. (Mon, 20 Dec 2010 12:18:03 GMT) Full text and rfc822 format available.

Message #49 received at 568741@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: Helmut Grohne <helmut@subdivi.de>, 568741@bugs.debian.org, 607622@bugs.debian.org
Subject: ingerman,iswiss: Fails to upgrade from lenny if previously reconfigured
Date: Mon, 20 Dec 2010 13:14:06 +0100
[Message part 1 (text/plain, inline)]
tag 568741 +patch pending
tag 607622 +patch pending
thanks

On Fri, Dec 17, 2010 at 06:33:55PM +0100, Helmut Grohne wrote:
> notfound 568741 20091006-4.1
> thanks
> 
> > I just upgraded dictionaries-common and it presented me the message
> > about ingerman being broken from my initial report again. Was this bug
> > ever fixed? Is there something wrong about my system?
> 
> Sorry for the noise. I should have read the complete bug log before
> reopening. As Agustin Martin explained the package leaves a corrupt
> /var/lib/ispell/ingerman.compat file which is not yet deleted by
> preinst, however the package does no longer create the corrupt file, so
> it is no longer buggy.

However, the problem is still present for every ingerman where
reconfiguration was tried previously to the upgrade. Thus, I am leaving this
bug report as RC since it can break upgrades, thanks for reminding.

Furthermore, I noticed that same original problem exists for iswiss. I am cloning
this bug report to iswiss.

Attached patch ahould take care from preinst that bogus 'ingerman.compat'
and 'iswiss.compat' are removed. iswiss.config is also fixed for wrong name.

I think this should really care of all the upgrades for both iswiss and
ingerman.

I have a NMU ready for upload if needed. 

Roland, can you look at this shortly or I directly NMU?

-- 
Agustin
[igerman98_20091006-__4.1__TO__4.2.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Agustin Martin <agmartin@debian.org> to control@bugs.debian.org. (Mon, 20 Dec 2010 12:18:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Roland Rosenfeld <roland@debian.org>:
Bug#568741; Package ingerman. (Wed, 22 Dec 2010 11:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Roland Rosenfeld <roland@debian.org>. (Wed, 22 Dec 2010 11:57:03 GMT) Full text and rfc822 format available.

Message #56 received at 568741@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: 568741@bugs.debian.org, 607622@bugs.debian.org
Subject: Re: ingerman,iswiss: Fails to upgrade from lenny if previously reconfigured
Date: Wed, 22 Dec 2010 12:53:44 +0100
On Mon, Dec 20, 2010 at 01:14:06PM +0100, Agustin Martin wrote:
> However, the problem is still present for every ingerman where
> reconfiguration was tried previously to the upgrade. Thus, I am leaving this
> bug report as RC since it can break upgrades, thanks for reminding.
> 
> Furthermore, I noticed that same original problem exists for iswiss. I am cloning
> this bug report to iswiss.
> 
> Attached patch ahould take care from preinst that bogus 'ingerman.compat'
> and 'iswiss.compat' are removed. iswiss.config is also fixed for wrong name.
> 
> I think this should really care of all the upgrades for both iswiss and
> ingerman.
> 
> I have a NMU ready for upload if needed. 

Uploaded to DELAYED/2

-- 
Agustin




Reply sent to Agustin Martin Domingo <agmartin@debian.org>:
You have taken responsibility. (Fri, 24 Dec 2010 12:06:05 GMT) Full text and rfc822 format available.

Notification sent to Helmut Grohne <helmut@subdivi.de>:
Bug acknowledged by developer. (Fri, 24 Dec 2010 12:06:05 GMT) Full text and rfc822 format available.

Message #61 received at 568741-close@bugs.debian.org (full text, mbox):

From: Agustin Martin Domingo <agmartin@debian.org>
To: 568741-close@bugs.debian.org
Subject: Bug#568741: fixed in igerman98 20091006-4.2
Date: Fri, 24 Dec 2010 12:02:14 +0000
Source: igerman98
Source-Version: 20091006-4.2

We believe that the bug you reported is fixed in the latest version of
igerman98, which is due to be installed in the Debian FTP archive:

aspell-de_20091006-4.2_all.deb
  to main/i/igerman98/aspell-de_20091006-4.2_all.deb
hunspell-de-at_20091006-4.2_all.deb
  to main/i/igerman98/hunspell-de-at_20091006-4.2_all.deb
hunspell-de-ch_20091006-4.2_all.deb
  to main/i/igerman98/hunspell-de-ch_20091006-4.2_all.deb
hunspell-de-de_20091006-4.2_all.deb
  to main/i/igerman98/hunspell-de-de_20091006-4.2_all.deb
igerman98_20091006-4.2.diff.gz
  to main/i/igerman98/igerman98_20091006-4.2.diff.gz
igerman98_20091006-4.2.dsc
  to main/i/igerman98/igerman98_20091006-4.2.dsc
ingerman_20091006-4.2_all.deb
  to main/i/igerman98/ingerman_20091006-4.2_all.deb
iswiss_20091006-4.2_all.deb
  to main/i/igerman98/iswiss_20091006-4.2_all.deb
myspell-de-at_20091006-4.2_all.deb
  to main/i/igerman98/myspell-de-at_20091006-4.2_all.deb
myspell-de-ch_20091006-4.2_all.deb
  to main/i/igerman98/myspell-de-ch_20091006-4.2_all.deb
myspell-de-de_20091006-4.2_all.deb
  to main/i/igerman98/myspell-de-de_20091006-4.2_all.deb
rmligs-german_20091006-4.2_all.deb
  to main/i/igerman98/rmligs-german_20091006-4.2_all.deb
wngerman_20091006-4.2_all.deb
  to main/i/igerman98/wngerman_20091006-4.2_all.deb
wswiss_20091006-4.2_all.deb
  to main/i/igerman98/wswiss_20091006-4.2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 568741@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Agustin Martin Domingo <agmartin@debian.org> (supplier of updated igerman98 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 20 Dec 2010 12:12:10 +0100
Source: igerman98
Binary: ingerman iswiss wngerman wswiss rmligs-german myspell-de-at myspell-de-ch myspell-de-de hunspell-de-at hunspell-de-ch hunspell-de-de aspell-de
Architecture: source all
Version: 20091006-4.2
Distribution: unstable
Urgency: low
Maintainer: Roland Rosenfeld <roland@debian.org>
Changed-By: Agustin Martin Domingo <agmartin@debian.org>
Description: 
 aspell-de  - German dictionary for aspell
 hunspell-de-at - Austrian (German) dictionary for hunspell
 hunspell-de-ch - Swiss (German) dictionary for hunspell
 hunspell-de-de - German dictionary for hunspell
 ingerman   - New German orthography dictionary for ispell
 iswiss     - Swiss (German) orthography dictionary for ispell
 myspell-de-at - Austrian (German) dictionary for myspell
 myspell-de-ch - Swiss (German) dictionary for myspell
 myspell-de-de - German dictionary for myspell
 rmligs-german - remove incorrectly used ligatures from LaTeX documents
 wngerman   - New German orthography wordlist
 wswiss     - Swiss (German) orthography wordlist
Closes: 568741 607622
Changes: 
 igerman98 (20091006-4.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix problems caused by bogus compat files (Closes: #568741, #607622):
     - ingerman.preinst: remove bogus ingerman.compat if present.
     - iswiss.preinst: remove bogus iswiss.compat if present.
     - iswiss.config.in: Touch swiss.compat on reconfigure, not
       iswiss.compat.
Checksums-Sha1: 
 54947f7adf013792fda3cd3fe27b54e312f94f03 1340 igerman98_20091006-4.2.dsc
 d36ad7bd232821bfbf415cf40977c6c9d1a72634 19719 igerman98_20091006-4.2.diff.gz
 75648457a98e1c24ebee1003f034e1f812834bec 407362 ingerman_20091006-4.2_all.deb
 ae8f03e9d955c22803c057e4a08792b358895056 407450 iswiss_20091006-4.2_all.deb
 f731d740918b3b7cf429f5858615a88a49ccff1b 887790 wngerman_20091006-4.2_all.deb
 262c5ee57c11a4d457bac52a2fcc3235793d80cb 888056 wswiss_20091006-4.2_all.deb
 a12981b6128a8f338bc02db5f83f2f2409cf885c 21526 rmligs-german_20091006-4.2_all.deb
 18b4376f9c2cff5490b824cd673ffae84422f608 377154 myspell-de-at_20091006-4.2_all.deb
 533fc74279ffe4048d3bae3ac5f3f2dcdc413c00 377044 myspell-de-ch_20091006-4.2_all.deb
 470cc34b77c919f49fda98b6903edb14ad7323e1 372580 myspell-de-de_20091006-4.2_all.deb
 7c2fc73bcb5b5c79317ebcdfa924c1829de4c4de 328946 hunspell-de-at_20091006-4.2_all.deb
 4a21d93cece99da390df5a46905f241554c0a940 328190 hunspell-de-ch_20091006-4.2_all.deb
 0d92a37a6f1a35b53ae1fa01e62ab09d92f3b083 327862 hunspell-de-de_20091006-4.2_all.deb
 3c3ec54322bdf217172bf6e162f68a1f9e7ec33e 323670 aspell-de_20091006-4.2_all.deb
Checksums-Sha256: 
 c772c89043260c883e3a296b0f7be01adfc52e40b5fb1e2741f68a6c074086ca 1340 igerman98_20091006-4.2.dsc
 26dc8bd13320badda40170be3ace0f9d5d598693fdde7facd077e14ab23680c4 19719 igerman98_20091006-4.2.diff.gz
 545970318fb878fea788126b5b75670aef6f41c702bf5414933693691ef3dfbe 407362 ingerman_20091006-4.2_all.deb
 65f6514406331f36cc303c85e3ded0c6989279f90418c0be6ddf33fa9cda971e 407450 iswiss_20091006-4.2_all.deb
 b289f967254c0b3e4b2098ec1c94259b895f066725bdf560d9ea86919076c3ae 887790 wngerman_20091006-4.2_all.deb
 25eedae19cc420922fae9d4904bac76fa98cd956d8240f1c1dd7235acc2c5233 888056 wswiss_20091006-4.2_all.deb
 9b6fe3b4fb80d7d155a2ecedafad1bf5c70e41dbeb7a436090956b2975b14700 21526 rmligs-german_20091006-4.2_all.deb
 e6ad14ba478743e8b2854c883e7d331eacf8609e8ca1455acd86702aa49e9304 377154 myspell-de-at_20091006-4.2_all.deb
 e57ef6659b7d5e05ecfc63f0cf9672cf4ca250b0ea194e75afa5e6d8abdf0091 377044 myspell-de-ch_20091006-4.2_all.deb
 e7db844624423d5f95eaddeb0bc23da0c6287f7666467a260bb35e2048b622cb 372580 myspell-de-de_20091006-4.2_all.deb
 bafd123c2a3a15d4da135186bfda02be20d1d6277ea11c9417438527166adb48 328946 hunspell-de-at_20091006-4.2_all.deb
 e228a8bc23ee52141154faf9640cafd5f16b18140a54818780318bf766e326d1 328190 hunspell-de-ch_20091006-4.2_all.deb
 f66eb082c09fe89e15280fb5556f0dea33424022f7d379038b8d85f49fdbe28d 327862 hunspell-de-de_20091006-4.2_all.deb
 386565be5992bfab6e0147721a4546506c1e0a69e42b0a610709f03d17b29fc5 323670 aspell-de_20091006-4.2_all.deb
Files: 
 2d2551f29576f120f32207921c2f965c 1340 text optional igerman98_20091006-4.2.dsc
 3e75dfaad15e8e3b1c8c8f2562d9a08c 19719 text optional igerman98_20091006-4.2.diff.gz
 9d950745648987c5dab7e86c16434843 407362 text optional ingerman_20091006-4.2_all.deb
 1c449f826a86f64565950860eb294955 407450 text optional iswiss_20091006-4.2_all.deb
 6a1932696193c09752c0966eabebdaad 887790 text optional wngerman_20091006-4.2_all.deb
 52c09b787c216c125d317674926510a1 888056 text optional wswiss_20091006-4.2_all.deb
 eb4ec461f83a3d63847420cebcd35e6b 21526 text optional rmligs-german_20091006-4.2_all.deb
 453978f842f1b3e31d19bbee30ad9470 377154 text optional myspell-de-at_20091006-4.2_all.deb
 4fb2091ab261a9b1f78eb31f35f1990a 377044 text optional myspell-de-ch_20091006-4.2_all.deb
 39b3ad0bde49d0dc1ccfd29fad9b9163 372580 text optional myspell-de-de_20091006-4.2_all.deb
 f78a8266837c2f1279581c3f9d992db6 328946 text optional hunspell-de-at_20091006-4.2_all.deb
 d457a26a33b3da2df1533b8f69d7fd75 328190 text optional hunspell-de-ch_20091006-4.2_all.deb
 23abe06a5cfb653cb2ceb6439a6bb4c7 327862 text optional hunspell-de-de_20091006-4.2_all.deb
 13df7d06d991bac61c13de098eddf624 323670 text optional aspell-de_20091006-4.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFND0GBTShHqj72DpwRApsuAKCB3EvZCly3OtirDu2oFxj0VVNsLQCfTzJK
A6TszPh9A+tNLQ1r9LRYB98=
=JSbl
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Jan 2011 07:32:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:30:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.